Users

Update User details

Update an existing User's data and billing details.

Authorization

Public key Secret key
x-fngs-public-key<token>

In: header

x-fngs-secret-key<token>

In: header

Path Parameters

userId*string

Unique identifier of the User to archive.

Formatuuid

Request Body

application/json

PATCH /v0/users/:userId/update Request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

PATCH
/v0/users/{userId}/update
curl -X PATCH "https://example.com/v0/users/123e4567-e89b-12d3-a456-426614174000/update" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": "success",  "data": {    "user": {      "object": "user",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "username": null,      "email": null,      "details": null,      "internalId": null    }  }}